/**
 * Copyright (c) 2016-2019  All rights reserved.
 *
 *
 *
 *
 */

package com.maxbox.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.maxbox.common.utils.R;
import com.maxbox.modules.sys.entity.SysUserTokenEntity;

/**
 * 用户Token
 *
 * @author pgh xiaopeng2260@sina.com
 */
public interface SysUserTokenService extends IService<SysUserTokenEntity> {

	/**
	 * 生成token
	 * @param userId  用户ID
	 */
	R createToken(long userId);

	/**
	 * 退出，修改token值
	 * @param userId  用户ID
	 */
	void logout(long userId);

}
