/**
 * Copyright (c) 2016-2019  All rights reserved.
 *
 *
 *
 *
 */

package com.maxbox.modules.app.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.maxbox.modules.app.entity.UserEntity;
import com.maxbox.modules.app.form.LoginForm;

/**
 * 用户
 *
 * @author pgh xiaopeng2260@sina.com
 */
public interface UserService extends IService<UserEntity> {

	UserEntity queryByMobile(String mobile);

	/**
	 * 用户登录
	 * @param form    登录表单
	 * @return        返回用户ID
	 */
	long login(LoginForm form);
}
