package com.maxbox.common;

import com.maxbox.controller.HelloController;
import com.maxbox.controller.WorldController;
import org.junit.Before;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;

/**
 * Created by guohui on 2019/4/17.
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class FastApplicationTests {
    public MockMvc mvc;
    @Autowired
    HelloController helloController;
    @Autowired
    WorldController worldController;

    @Before
    public void setUp() {
        mvc = MockMvcBuilders.standaloneSetup(helloController,worldController).build();
    }
}
